## smalleiffel 1.8.0.78

=== Makefile ===
#
# Because many users are used to type 'make' in order to install
# a software.
#
./bin/compile: ./bin_c/compile.make
	./misc/INSTALL.SH
