## smalleiffel 1.3.0.82-1

=== debian/changelog ===
smalleiffel (1.3.0.82-1) unstable; urgency=low

  * Removed my HTML class documentation, since the short tool can now
    produce HTML output, and substituted HTML pages generated with 
    the aid of a shell script (debian/selib2html).
  * Moved back to main distribution, since all source code is now included.
    (Note that this build still generates from the distributed C code
    rather than from the Eiffel code.)
  * New upstream release, as the GNU Eiffel Compiler.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Sun, 18 Jan 1998 20:29:02 +0000

smalleiffel (1.2-7) unstable; urgency=low

  * Changed default directory in intermediate C code from
    /usr/local/logiciel/SmallEiffel to /usr/lib/smalleiffel; this should
    obviate the need to define the SmallEiffel environment variable.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Sat, 29 Nov 1997 21:26:41 +0000

smalleiffel (1.2-6) unstable; urgency=low

  * Re-uploaded original source - the one on the archive was out of date
  * This time I really added debian.BUGS.
  * Corrected omission of compile from the SmallEiffel manual page

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Fri, 28 Nov 1997 23:12:39 +0000

smalleiffel (1.2-5) unstable; urgency=low

  * Moved build instructions from binary-indep to binary; Fixes bug#15327.
  * Added to /usr/doc/smalleiffel: debian.BUGS and POINTER.hint

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu,  6 Nov 1997 21:17:42 +0000

smalleiffel (1.2-4) unstable; urgency=low

  * Moved to non-free because of licence inconsistencies.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Wed,  5 Nov 1997 22:52:41 +0000

smalleiffel (1.2-3) unstable; urgency=low

  * Updated Eiffel FAQ to match upstream version
  * Removed file bin_c/compile_to_c52.c left over from upstream release -0.84
  * Cured (I hope) various package configuration errors:
    put upstream version -0.83 in smalleiffel-1.2.orig.tar.gz
    removed .tmp directory (where did that come from?)
    corrected Depends line in debian/control
    Fixes bugs: #14072, #14073, #14074 & #14076

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 23 Oct 1997 00:37:11 +0100

smalleiffel (1.2-2) unstable; urgency=low

  * Updated manual pages
  * Corrected HTML links in the documentation

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Mon, 13 Oct 1997 17:21:59 +0100

smalleiffel (1.2-1) unstable; urgency=low

  * Added -html mode for 'short'
  * Added html documentation for 'short'
  * New upstream version -0.83, containing 'short' command

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Tue, 30 Sep 1997 15:50:06 +0100

smalleiffel (1.1-1) unstable; urgency=low

  * New upstream version -0.84

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 28 Aug 1997 16:38:00 +0100

smalleiffel (1.0-1) unstable; urgency=low

  * Edited files in man directory for English translation errors
  * Added wrapper script and a menu entry to call it
  * Moved functionality of upstream installation scripts into debian/rules
  * Created HTML documentation based on upstream documentation
  * Changed C_ARRAY to NATIVE_ARRAY in test suite
  * Initial release, based on upstream version -0.85.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 31 Jul 1997 15:20:36 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Oliver.Elphick@lfix.co.uk"
End:
