=== debian/control ===
Source: smalleiffel
Section: devel
Priority: extra
Maintainer: Oliver Elphick <Oliver.Elphick@lfix.co.uk>
Standards-Version: 2.1.2.2

Package: smalleiffel
Architecture: i386
Depends: gcc, ${shlibs:Depends}
Description: The GNU Eiffel Compiler
 SmallEiffel is a compiler for the Eiffel language, which is a pure
 object-oriented language providing strong type-checking and based on
 the concept of 'design by contract'.  It allows multiple inheritance
 and does it well.
 .
 Design-by-contract means that a class guarantees that certain conditions
 will always hold, and that a routine guarantees certain results
 given certain specified inputs.  The rules for inheritance mean
 that contracts can be relied on even when classes are reused through
 inheritance.
 .
 The Eiffel language is described and defined in the book "Eiffel: The
 Language" by Bertrand Meyer.
