## smalleiffel 1.15.0.74beta18

=== Makefile ===
#
# Because many Unix users are used to type 'make' in order to install
# a software.
#
all : 
	gcc -o install install.c
	./install -interactive
	rm -f ./install

automatic : ./bin_c/compile_to_c.h
	gcc -o install install.c
	./install
	rm -f ./install

elate : ./bin_c/compile_to_c.h
	vpcc -o install install.c
	./install -interactive
	rm -f ./install

openvms : [bin_c]compile_to_c.h
	cc/warning=disable=(embedcomment,longextern) install
	link/exe=install
	mcr install -debug -interactive
	delete install;
